Skip to content
ShaireDevelopers

time

7 endpoints.

post/api/time#

Body

ticketIdstring · uuid*
secondsinteger*
min 1 · max 86400
startedAtstring · date-time*
notestring | null
max length 500
Request
curl https://api.shairelabs.com/api/time \
  -X POST \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"ticketId":"00000000-0000-0000-0000-000000000000","seconds":1,"startedAt":"example"}'

Response · 201 · TimeEntry

idstring · uuid*
workspaceIdstring · uuid*
ticketIdstring · uuid*
userIdstring · uuid*
startedAtstring*
endedAtstring | null*
secondsinteger | null*
notestring | null*
createdAtstring*
updatedAtstring*

Also answers 401 and 403. SeeErrors.

patch/api/time/{id}#

Path

idstring*

Body

secondsinteger
min 1 · max 86400
startedAtstring · date-time
notestring | null
max length 500
Request
curl https://api.shairelabs.com/api/time/$TIME_ID \
  -X PATCH \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · TimeEntry

idstring · uuid*
workspaceIdstring · uuid*
ticketIdstring · uuid*
userIdstring · uuid*
startedAtstring*
endedAtstring | null*
secondsinteger | null*
notestring | null*
createdAtstring*
updatedAtstring*

Also answers 401 and 403. SeeErrors.

delete/api/time/{id}#

Path

idstring*
Request
curl https://api.shairelabs.com/api/time/$TIME_ID \
  -X DELETE \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 204

Also answers 401 and 403. SeeErrors.

get/api/time/running#

Request
curl https://api.shairelabs.com/api/time/running \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · RunningTimer | null

Also answers 401 and 403. SeeErrors.

post/api/time/start#

Body

ticketIdstring · uuid*
notestring | null
max length 500
Request
curl https://api.shairelabs.com/api/time/start \
  -X POST \
  -H "Authorization: Bearer $SHAIRE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"ticketId":"00000000-0000-0000-0000-000000000000"}'

Response · 201 · StartTimerResult

startedobject*
idstring · uuid*
workspaceIdstring · uuid*
ticketIdstring · uuid*
userIdstring · uuid*
startedAtstring*
endedAtstring | null*
secondsinteger | null*
notestring | null*
createdAtstring*
updatedAtstring*
ticketKeystring*
ticketTitlestring*
listIdstring · uuid*
workspaceNamestring*
stoppedobject | null*
idstring · uuid*
workspaceIdstring · uuid*
ticketIdstring · uuid*
userIdstring · uuid*
startedAtstring*
endedAtstring | null*
secondsinteger | null*
notestring | null*
createdAtstring*
updatedAtstring*
ticketKeystring*

Also answers 401 and 403. SeeErrors.

post/api/time/stop#

Request
curl https://api.shairelabs.com/api/time/stop \
  -X POST \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 201 · StoppedTimer | null

Also answers 401 and 403. SeeErrors.

get/api/time/tickets/{ticketId}#

Path

ticketIdstring*
Request
curl https://api.shairelabs.com/api/time/tickets/$TICKET_TICKETID \
  -H "Authorization: Bearer $SHAIRE_TOKEN"

Response · 200 · TicketTime

entriesobject[]*
[item]object
idstring · uuid*
workspaceIdstring · uuid*
ticketIdstring · uuid*
userIdstring · uuid*
startedAtstring*
endedAtstring | null*
secondsinteger | null*
notestring | null*
createdAtstring*
updatedAtstring*
totalSecondsinteger | null*
byUserobject[]*
[item]object
userIdstring · uuid*
secondsinteger*

Also answers 401 and 403. SeeErrors.